#! /bin/sh
# /etc/init.d/procps: Set kernel variables from /etc/sysctl.conf
#
# written by Elrond <Elrond@Wunder-Nett.org>

### BEGIN INIT INFO
# Provides:          procps
# Required-Start:    mountkernfs $local_fs
# Required-Stop:
# Should-Start:      udev module-init-tools
# X-Start-Before:    $network
# Default-Start:     S
# Default-Stop:
# Short-Description: Configure kernel parameters at boottime
# Description:  Loads kernel parameters that are specified in /etc/sysctl.conf
### END INIT INFO

PATH=/sbin:/bin

SYSCTL=/sbin/sysctl

test -x $SYSCTL || exit 0

. /lib/lsb/init-functions

# Comment this out for sysctl to print every item changed
QUIET_SYSCTL="-q"

# Check for existance of the default file and exit if not there,
# Closes #52839 for the boot-floppy people
if [ -f /etc/default/rcS ] ; then
  . /etc/default/rcS
fi

set -e

case "$1" in
	start|restart|force-reload|reload)
		log_action_begin_msg "Setting kernel variables "
		STATUS=0
		$SYSCTL $QUIET_SYSCTL --system || STATUS=$?
		log_action_end_msg $STATUS
		;;
	stop)
		;;
    status)
        ;;
	*)
		echo "Usage: /etc/init.d/procps {start|stop|restart|reload|force-reload|status}" >&2
		exit 3
		;;
esac

exit 0
